From 35ec653226dade6ec18bebdc450aca3b6c25b391 Mon Sep 17 00:00:00 2001
From: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date: Wed, 21 Feb 2024 17:18:45 +0100
Subject: [PATCH] libtracker-miners-common: Allow epoll_wait syscall in SECCOMP
 sandbox

This is used in libmount from util-linux.

Fixes https://gitlab.gnome.org/GNOME/tracker-miners/-/issues/307
---
 src/libtracker-miners-common/tracker-seccomp.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/libtracker-miners-common/tracker-seccomp.c b/src/libtracker-miners-common/tracker-seccomp.c
index ad41c94b01..dfc5cfae73 100644
--- a/src/libtracker-miners-common/tracker-seccomp.c
+++ b/src/libtracker-miners-common/tracker-seccomp.c
@@ -223,6 +223,7 @@ tracker_seccomp_init (void)
 	ALLOW_RULE (epoll_create);
 	ALLOW_RULE (epoll_create1);
 	ALLOW_RULE (epoll_ctl);
+	ALLOW_RULE (epoll_wait);
 	/* System */
 	ALLOW_RULE (uname);
 	ALLOW_RULE (sysinfo);
-- 
GitLab

